public class EqualsTest {

    public static void main(String[] args) {
        testIntEquality();
        testSmallIntegerEquality();
        testLargeIntegerEquality();
    }

    private static void testIntEquality() {
        int a = 10;
        int b = 10;
        int c = 20;

        System.out.println("int a = " + a);
        System.out.println("int b = " + b);
        System.out.println("int c = " + c);
        System.out.println("(a == b) == " + (a == b));
        System.out.println("(a != c) == " + (a != c));
    }

    
    private static void testSmallIntegerEquality() {
        Integer a = 10;
        Integer b = 10;
        Integer c = 20;

        // csak demonstracios celzattal, sose hasznaljatok == operatort Integer-ek kozott!
        System.out.println("Integer a = " + a);
        System.out.println("Integer b = " + b);
        System.out.println("Integer c = " + c);
        System.out.println("(a == b) == " + (a == b));
        System.out.println("(a != c) == " + (a != c));
    }

    private static void testLargeIntegerEquality() {
        Integer a = 1000;
        Integer b = 1000;
        Integer c = 2000;

        // csak demonstracios celzattal, sose hasznaljatok == operatort Integer-ek kozott!
        System.out.println("Integer a = " + a);
        System.out.println("Integer b = " + b);
        System.out.println("Integer c = " + c);
        System.out.println("(a == b) == " + (a == b)); // nem az elvartnak megfelelo eredmeny
        System.out.println("(a != c) == " + (a != c));

        System.out.println("(a.equals(b)) == " + a.equals(b)); // igy mar jo
        System.out.println("(!a.equals(c)) == " + !a.equals(c));
    }
}